﻿using Syncfusion.UI.Xaml.Grid;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace TestButtonColumn
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new MainWindowViewModel();
        }

        private void BrowseForLocalDBFolder(object sender, EventArgs e)
        {
            MessageBox.Show("Browse was called");
        }
        private void OnCurrentCellActivated(object sender, CurrentCellActivatedEventArgs e)
        {
            var datagrid = sender as SfDataGrid;
            if (datagrid != null)
            {
                if (datagrid.SelectionController != null)
                {
                    if (datagrid.SelectionController.CurrentCellManager != null)
                    {
                        if (datagrid.SelectionController.CurrentCellManager.CurrentCell != null)
                        {
                            //Here call the BeginEdit method to enter the edit mode in SfDataGrid
                            if (!datagrid.SelectionController.CurrentCellManager.CurrentCell.IsEditing)
                                datagrid.SelectionController.CurrentCellManager.BeginEdit();
                        }
                    }
                }
            }
        }
    }

    public class MainWindowViewModel
    {
        public ObservableCollection<ModelObject> ModelObjects { get; set; }

        public MainWindowViewModel()
        {
            ModelObjects = new ObservableCollection<ModelObject>();
        }
    }

    public class ModelObject
    {
        string Property { get; set; }
    }
}
